#!/usr/bin/python

class FilterModule(object):
    '''Helper filters to make Ansible less unpleasant'''
    def filters(self):
        return {
            'list2dict': self.list2dict,
        }

    def list2dict(self, items, key):
        '''
        Like items2dict but keep entire dictionaries as values.
        '''
        return {item[key]: item for item in items}
